Subject: netlink stats and message ordering.

From: Ben Greear <[email-masked]>
Date: Fri, 19 Nov 2010 10:20:17 -0800

I have a single netlink socket that listens for various things,
as well as requests netdev stats and such.

I am seeing a case during interface creation (mac-vlans) where I get one set of stats
that appears to show 1 packet transmitted, and then immediately after that,
a second set of stats for the same device that shows all zero counters.

Since I'm trying to handle wraps properly, my code tends to consider this
a wrap and of course the numbers go all wrong since it wasn't really a wrap.

I am wondering if it's possible that netlink messages are somehow being
re-ordered before they are sent to my application?

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com